condor_transfer_data(1)

Name

condor_transfer_datatransfer spooled data

Synopsis
condor_transfer_data[-help | -version]

condor_transfer_data[ -pool centralmanagerhostname[:portnumber]| -name scheddname] | [-addr "<a.b.c.d:port>"] cluster... | cluster.process... | user... | -constraint expression...

condor_transfer_data[ -pool centralmanagerhostname[:portnumber]| -name scheddname] | [-addr "<a.b.c.d:port>"] -all

Description
condor_transfer_datacauses HTCondor to transfer spooled data. It is meant to be used in conjunction with the -spooloption of condor_submit, as in

condor_submit -spool mysubmitfile Submission of a job with the -spooloption causes HTCondor to spool all input files, the job event log, and any proxy across a connection to the machine where the condor_schedddaemon is running. After spooling these files, the machine from which the job is submitted may disconnect from the network or modify its local copies of the spooled files.

When the job finishes, the job has JobStatus= 4, meaning that the job has completed. The output of the job is spooled, and condor_transfer_dataretrieves the output of the completed job.

Options

-help

    Display usage information

-version

    Display version information

-pool centralmanagerhostname[:portnumber]

    Specify a pool by giving the central manager's host name and an optional port number

-name scheddname

    Send the command to a machine identified by scheddname

-addr <a.b.c.d:port>

    Send the command to a machine located at "<a.b.c.d:port>"

cluster

    Transfer spooled data belonging to the specified cluster

cluster.process

    Transfer spooled data belonging to a specific job in the cluster

user

    Transfer spooled data belonging to the specified user

-constraint expression

    Transfer spooled data for jobs which match the job ClassAd expression constraint

-all

    Transfer all spooled data

Exit Status

condor_transfer_datawill exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

Author
Center for High Throughput Computing, University of Wisconsin&ndash;Madison

Copyright
Copyright © 1990-2019 Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI. All Rights Reserved. Licensed under the Apache License, Version 2.0.